<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{messages['gazelle.ordermanager.TeleRadiologyOrderDetails']}</h1>
            <s:decorate template="/layout/panels/_panel.xhtml"
                        rendered="#{orderManager.teleRadOrder == null}">
                <ui:param name="bodyStyleClass" value="bg-danger"/>
                <span class="gzl-icon-exclamation-triangle"/>
                <h:outputText value="#{messages['gazelle.ordermanager.TheGivenIdDoesNotMatchAnExistingOrder']} !"/>
            </s:decorate>
            <s:div id="globalDiv" rendered="#{orderManager.teleRadOrder != null}">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.GeneralInformation']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Domain']}</ui:define>
                            <h:outputText value="#{orderManager.teleRadOrder.domain.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.OwnedByActor']}</ui:define>
                            <h:outputText value="#{orderManager.teleRadOrder.simulatedActor.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                            <h:outputText value="#{orderManager.teleRadOrder.creator}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.LastChangedOn']}</ui:define>
                            <g:date value="#{orderManager.teleRadOrder.lastChanged}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.LastOrderControlCodeReceived']}
                            </ui:define>
                            <h:outputText value="#{orderManager.teleRadOrder.orderControlCode}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Status']}</ui:define>
                            <h:outputText value="#{orderManager.teleRadOrder.orderStatus}"
                                          rendered="#{orderManager.teleRadOrder.orderStatus != null}"/>
                            <h:outputText value="#{messages['gazelle.ordermanager.Unknown']}"
                                          rendered="#{orderManager.teleRadOrder.orderStatus == null}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsDemographics']}</ui:define>
                    <ui:include src="/patient/showAbstractPatientDemographic.xhtml">
                        <ui:param name="patient" value="#{orderManager.patient}"/>
                        <ui:param name="codeProvider" value="#{omDemographicCodeProvider}"/>
                    </ui:include>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsAddress']}</ui:define>
                    <ui:include src="/patient/showAbstractPatientAddress.xhtml">
                        <ui:param name="patient" value="#{orderManager.patient}"/>
                    </ui:include>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsIdentifiers']}</ui:define>
                    <rich:list value="#{orderManager.patient.patientIdentifiers}" var="pid" type="unordered">
                        <h:outputText value="#{pid.identifier} (#{pid.identifierTypeCode})"/>
                    </rich:list>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsEncounters']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber']}</ui:define>
                            <h:outputText value="#{orderManager.encounter.visitNumber}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.PatientClass']}</ui:define>
                            <h:outputText value="#{orderManager.encounter.getPatientClass()}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.ReferringDoctor']}</ui:define>
                            <h:outputText value="#{orderManager.encounter.getReferringDoctor()}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.AssignedPatientsLocation']}
                            </ui:define>
                            <h:outputText value="#{orderManager.encounter.assignedPatientLocation}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.OrderDetails']</ui:define>
                    <ui:include src="/tro/troDetails.xhtml">
                        <ui:param name="selectedOrder" value="#{orderManager.teleRadOrder}"/>
                    </ui:include>
                </ui:decorate>
               <s:decorate template="/layout/panels/_panel_title.xhtml"
                           rendered="#{not empty orderManager.teleRadOrder.teleRadiologyProcedures}">
                   <ui:define name="panel_title">#{messages['gazelle.ordermanager.Procedures']}</ui:define>
                   <rich:dataTable value="#{orderManager.teleRadOrder.getProceduresAsDataModel()}"
                                   var="proc" rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="proclist"
                                   render="ds">
                       <ui:include src="/tro/teleRadiologyProcedureColumns.xhtml">
                           <ui:param name="ipc" value="#{proc}"/>
                       </ui:include>
                       <f:facet name="footer">
                           <ui:include src="/util/datatableFooter.xhtml">
                               <ui:param name="dataScrollerId" value="ds"/>
                               <ui:param name="dataTableId" value="proclist"/>
                           </ui:include>
                       </f:facet>
                   </rich:dataTable>
               </s:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
